# $Revision: 1.31 $, $Date: 2011/04/21 18:53:30 $
Summary:	Nautilus extension which adds customized command in Nautilus menu
Summary(pl.UTF-8):	Rozszerzenie dodające własne polecenia w menu Nautilusa
Name:		nautilus-actions
Version:	3.0.7
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus-actions/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	40b3807e7ddc0926782d2d85e99e2fc4
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-toolbar.patch
URL:		http://www.grumz.net/node/8/
BuildRequires:	GConf2-devel >= 2.8.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-common
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgtop-devel >= 1:2.23.1
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	nautilus >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus extension which allow to configure program to be launch on
files selected into Nautilus interface.

%description -l pl.UTF-8
Rozszerzenie pozwalające na skonfigurowanie programu uruchamianego na
pliku wybranym w Nautilusie.

%package devel
Summary:	Header files for nautilus-actions
Summary(pl.UTF-8):	Pliki nagłówkowe nautilus-actions
Group:		X11/Development/Libraries
Requires:	GConf2-devel >= 2.8.0
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for nautilus-actions.

%description devel -l pl.UTF-8
Pliki nagłówkowe nautilus-actions.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus-actions/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/nautilus-actions-config-tool
%attr(755,root,root) %{_bindir}/nautilus-actions-new
%attr(755,root,root) %{_bindir}/nautilus-actions-run
%attr(755,root,root) %{_bindir}/nautilus-actions-schemas
%dir %{_libdir}/nautilus-actions
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-core.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-desktop.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-gconf.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-xml.so
%{_datadir}/%{name}
%{_desktopdir}/nact.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-actions-menu.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-actions-tracker.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/nautilus-actions

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus-actions.spec,v $
Revision 1.31  2011/04/21 18:53:30  lisu
- updated to 3.0.7
- drop obsoleted -asneeded.patch
- extensions aren't suppose to install toolbar items anymore (patch)
- updated deps
- BR: libgtop-devel >= 1:2.23.1

Revision 1.30  2011/02/04 18:23:57  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2010/06/20 17:04:25  megabajt
- updated to 2.30.3

Revision 1.28  2010/04/15 19:03:39  megabajt
- updated to 2.30.2

Revision 1.27  2010/04/14 07:10:28  megabajt
- updated to 2.30.1

Revision 1.26  2010/03/27 12:05:53  megabajt
- updated to 2.30.0
- added -devel subpackage
- added -asneeded.patch to fix linking

Revision 1.25  2009/11/07 15:11:15  megabajt
- updated to 1.12.3

Revision 1.24  2008/03/18 16:39:39  megabajt
- make it ready for new nautilus
- release 2

Revision 1.23  2007-12-28 02:52:37  zbyniu
- up to 1.4.1; ldadd.patch in sources

Revision 1.22  2007-09-30 19:55:11  qrczak
- intltoolize is needed
- Release 2

Revision 1.21  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:11  baggins
- converted to UTF-8

Revision 1.19  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.18  2006/08/23 17:41:26  freetz
- 1.4, updated deps

Revision 1.17  2006/08/18 10:20:56  wiget
- rel3

Revision 1.16  2006/08/13 14:53:29  freetz
- use HEAD deps, update icon cache

Revision 1.15  2006/08/13 12:32:59  grzegol
- added ldadd patch (fixes build with as-needed)

Revision 1.14  2006/08/10 14:17:45  wrobell
- rel. 2 to build with openssl 0.9.8b

Revision 1.13  2006/05/02 14:25:20  paladine
- updated to 1.2

Revision 1.12  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.11  2006/02/18 19:00:35  dzeus
- up to 1.0, removed schemas, added BR: libuuid-devel

Revision 1.10  2005/11/24 20:50:31  freetz
- rel.2

Revision 1.9  2005/11/24 20:36:23  freetz
- 0.99, install schemas, dropped python dependencies in this release,
  updated BRs, updated URL

Revision 1.8  2005/10/30 19:57:27  freetz
- 0.7.1, updated %%files

Revision 1.7  2005/09/13 20:07:58  paladine
- updated to 0.7
- updated desktop patch

Revision 1.6  2005/09/09 09:07:23  qboosh
- BR: automake

Revision 1.5  2005/09/09 08:29:39  paladine
- updated to 0.6
- updated desktop patch

Revision 1.4  2005/08/31 16:28:53  paladine
- updated to 0.5 (bug fixes)

Revision 1.3  2005/08/29 18:21:53  qboosh
- use optflags, pass libdir (for lib64 support)

Revision 1.2  2005/08/29 14:24:07  paladine
- added pl

Revision 1.1  2005/08/29 13:47:58  paladine
- initial PLD release
